Skip to main content

1 Message

 • 

120 Points

Fri, Mar 1, 2019 10:15 PM

Closed

I have an older model Ipad and apparently the app is not compatable with this model so I cannot use it.

Early model ipad running ios 9.3.5